Index: /code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9808)
+++ /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9809)
@@ -65,24 +65,32 @@
 
 <!-- Spawntrigger -->    
-	<SpawnPoint team=0 position="0, 0, 0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage -->
-	  <EventTrigger invert="true" >
-	    <events>
-	      <trigger>
-	        <EventListener event="flying1" />
-	      </trigger>
-            </events>
-	  </EventTrigger>
+<!--	<SpawnPoint team=0 position="0, 0, 0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage --
+          <events>
+            <activity>
+              <EventListener event="flying12" />
+            </activity>
+          </events>
 	</SpawnPoint>
 
-
-	<SpawnPoint team=0 position="13500, 2500, 11000" lookat="18000,5000,21000" spawnclass=SpaceShip pawndesign=spaceshipswallow delay=0.1><!-- pawndesign=spaceshipcollateraldamage -->
-	  <EventTrigger>
-	    <events>
-	      <trigger>
-	        <EventListener event="flying1" />
-	      </trigger>
-	    </events>
-	  </EventTrigger>
+	<EventTrigger name="flying12" invert="true" >
+	  <events>
+	    <trigger>
+	      <EventListener event="flying1" />
+	    </trigger>
+          </events>
+	</EventTrigger>
+-->
+
+	<SpawnPoint team=0 position="13500, 2500, 11000" lookat="18000,5000,21000" spawnclass=SpaceShip pawndesign=spaceshipswallow delay=0.1><!-- pawndesign=spaceshipcollateraldamage --
+	  <events>
+            <activity>
+              <EventListener event="flying1" />
+            </activity>
+          </events> -->
         </SpawnPoint>
+
+<!-- ZUM TESTEN -->
+	<DistanceTrigger name=spawntrigger2 position="13500, 2500, 11000" target="SpaceShip" distance=10 stayActive="true" delay=0 />
+	<DistanceTrigger name="flying1" position="13500, 2500, 11000" target="SpaceShip" distance=10 stayActive="true" delay=0 />
 
 	<!-- Distance-Spawn-Trigger -->
@@ -290,9 +298,9 @@
 		<events>
 			<execute>
-				<EventListener event="flying2" />
+				<EventListener event="flying22" />
 			</execute>		
 		</events>
 	</QuestEffectBeacon>
-
+<!--
 	<SimpleNotification message="Well done! Catch the spion!"  broadcast="true">
 		<events>
@@ -302,5 +310,5 @@
 		</events>
 	</SimpleNotification>
-
+-->
 	<!-- ESCAPE -->
 	<SimpleNotification message="A spion is startet to the mainship!"  broadcast="true">
@@ -318,8 +326,29 @@
 		<events>
 			<execute>
-				<EventListener event="escape" />
+				<EventListener event="escape10" />
 			</execute>
 		</events>
 	</QuestEffectBeacon>
+
+	<BlinkingBillboard position="13500, 2500, 10500" color="1.0, 1.0, 0.05" frequency=0.6 amplitude=10 material="Examples/Flare" >
+          <events>
+            <visibility>
+              <EventTrigger>
+		<EventTrigger invert=true>
+		  <events>
+		    <trigger>
+		      <EventListener event="flying2" />
+		    </trigger>
+		  </events>
+		</EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event="flying1" />
+                  </trigger>
+                </events>
+	      </EventTrigger>
+            </visibility>
+          </events>
+	</BlinkingBillboard>
 	
 	<!-- ESCAPE ENDING -->
@@ -337,4 +366,16 @@
 	</QuestEffectBeacon>
 
+	<!-- TEST -->
+	<QuestEffectBeacon>
+		<effects>
+			<AddQuest questId="spacefight.escape" />
+		</effects>
+		<events>
+			<execute>
+				<EventListener event=spawntrigger2 />
+			</execute>
+		</events>
+	</QuestEffectBeacon>
+
 	<!-- Spion destroyed -->
 	<QuestEffectBeacon>
@@ -345,5 +386,5 @@
 		<events>
 			<execute>
-				<EventListener event="destroyed" />
+				<EventListener event="spion5" />
 			</execute>
 		</events>
@@ -412,5 +453,5 @@
 
 	<!-- Trigger to activate the upgrade1-Quest -->
-	<DistanceTrigger name="droneTrigger" position="13500, 2500, 10500" target="SpaceShip" distance=2000 stayActive="true" delay=0 />
+	<DistanceTrigger name="droneTrigger" position="13500, 2500, 10500" target="SpaceShip" distance=2000 stayActive="true" delay=0.1 />
 	<SimpleNotification message="Search the drone!?"  broadcast="true">
 		<events>
@@ -422,5 +463,5 @@
 
 	<!-- Helper-Trigger for the drone(s) -->
-	<DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=0 />
+	<DistanceTrigger name="drone1" position="9750, -5350, 5650" target="SpaceShip" distance=20 stayActive="true" delay=0.1 />
 	<SimpleNotification message="Now your are prepared best!"  broadcast="true">
 		<events>
@@ -432,5 +473,23 @@
 
 	<!-- Helper-Trigger for second guard -->
-	<DistanceTrigger name="flying2" position="18000,5000,21000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
+	<DistanceTrigger name="flying22" position="18000, 5000, 21000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1>
+		<EventTrigger>
+			<events>
+				<trigger>
+					<EventListener event="flying2" />
+				</trigger>
+			</events>
+		</EventTrigger>
+	</DistanceTrigger>
+
+	<SimpleNotification message="flying2.2"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="flying22" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<DistanceTrigger name="flying2" position="18000, 5000, 21000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
 		<EventTrigger>
 			<events>
@@ -441,21 +500,26 @@
 		</EventTrigger>
 	</DistanceTrigger>
+
+	<SimpleNotification message="flying2"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="flying2" />
+			</trigger>
+		</events>
+	</SimpleNotification>
 	
 	<!-- Helper-Trigger for the Escape-Quest -->
-	<DistanceTrigger name="escape" position="18000,5000,21000" target="SpaceShip" distance=10000 stayActive="true" delay=0 >
+	<DistanceTrigger name="escape10" position="18000,5000,21000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
 		<EventTrigger>
 			<events>
-				<trigger>
-					<EventListener event="guard2trigger1" />
-				</trigger>
-			</events>
+        			<trigger>
+        				<EventListener event="guard2trigger1" />
+        			</trigger>
+        		</events>
 		</EventTrigger>
 	</DistanceTrigger>
 
-
-
-
 	<!-- Helper-Trigger for mainship -->
-	<DistanceTrigger name="flying3" position="11000, 3000, 21000" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
+	<DistanceTrigger name="flying3" position="11000, 3000, 21000" target="SpaceShip" distance=1000 stayActive="true" delay=0.1 />
 	<SimpleNotification message="Mainship sighted!"  broadcast="true">
 		<events>
@@ -466,5 +530,5 @@
 	</SimpleNotification>
 
-	<!-- <DistanceTrigger name="drone2" position="9750, -5350, 5650" target="SpaceShip" distance=20 stay Active="true" delay=0 /> -->
+	<!-- <DistanceTrigger name="drone2" position="9750, -5350, 5650" target="SpaceShip" distance=20 stay Active="true" delay=0.1 /> -->
 	<SimpleNotification message="Now your are prepared best!"  broadcast="true">
 		<events>
@@ -476,5 +540,5 @@
 
 	<!-- DistanceTrigger for spion -->
-	<DistanceTrigger name="spionTrigger" position="0,-10000,42000" target="SpaceShip" distance=50 stayActive="true" delay=0 />
+	<DistanceTrigger name="spionTrigger" position="0,-10000,42000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
 	<SimpleNotification message="spion is arrived!"  broadcast="true">
 		<events>
@@ -485,5 +549,6 @@
 	</SimpleNotification>
 
-	<DistanceTrigger name="destroyed" position="8500,-3000,32000" target="SpaceShip" distance=100000 stayActive="true" delay=0 >
+	<!-- If spion destroyed -->
+	<DistanceTrigger name="destroyed" position="8500,-3000,32000" target="SpaceShip" distance=100000 stayActive="true" delay=0.1 >
 		<EventTrigger>
 			<events>
@@ -574,11 +639,5 @@
     </EventTrigger>
 
-	<SimpleNotification message="first"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="guard2trigger1" />
-			</trigger>
-		</events>
-	</SimpleNotification>
+
 
 <!-- For Escape -->
@@ -589,5 +648,13 @@
 	    </trigger>
 	  </events>
-	</EventTrigger>
+	</EventTrigger>	
+
+	<SimpleNotification message="spion5"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="spion5" />
+			</trigger>
+		</events>
+	</SimpleNotification>
 
 <!-- For last fight -->
@@ -732,5 +799,5 @@
   <events>
     <visibility>
-      <EventListener event="guard1trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
     </visibility>
   </events>
@@ -762,5 +829,5 @@
   <events>
     <visibility>
-      <EventListener event="guard1trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
     </visibility>
   </events>
@@ -792,5 +859,5 @@
   <events>
     <visibility>
-      <EventListener event="guard1trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
     </visibility>
   </events>
@@ -822,5 +889,5 @@
   <events>
     <visibility>
-      <EventListener event="guard1trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
     </visibility>
   </events>