Index: /code/branches/wiimote/cmake/LibraryConfig.cmake
===================================================================
--- /code/branches/wiimote/cmake/LibraryConfig.cmake	(revision 9811)
+++ /code/branches/wiimote/cmake/LibraryConfig.cmake	(revision 9812)
@@ -205,5 +205,5 @@
 ENDIF(WIN32)
 
-
+LIST(APPEND CMAKE_INCLUDE_PATH "/home/georgr/Documents/WiiC")
 ################# OGRE Plugins ##################
 
Index: /code/branches/wiimote/cmake/LibraryConfigTardis.cmake
===================================================================
--- /code/branches/wiimote/cmake/LibraryConfigTardis.cmake	(revision 9811)
+++ /code/branches/wiimote/cmake/LibraryConfigTardis.cmake	(revision 9812)
@@ -84,4 +84,7 @@
 
 
+  LIST(APPEND CMAKE_INCLUDE_PATH "/home/georgr/Documents/WiiC/")
+
+
   # Sandro fix: add flag that re-enables boost threads. This makes the combination
   #             of GCC version > 4.7 and older libboost work. See 
Index: /code/branches/wiimote/cmake/tools/FindBluetooth.cmake
===================================================================
--- /code/branches/wiimote/cmake/tools/FindBluetooth.cmake	(revision 9811)
+++ /code/branches/wiimote/cmake/tools/FindBluetooth.cmake	(revision 9812)
@@ -1,6 +1,6 @@
 IF(LINUX)
         MESSAGE(STATUS 'sewpertest')
-	FIND_PATH(BLUETOOTH_INCLUDE_DIR bluetooth.h /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth)
-	FIND_LIBRARY(BLUETOOTH_LIBRARY NAMES bluetooth PATHS /usr/lib/x86_64-linux-gnu /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/lib/x86_64-linux-gnu) 
+	FIND_PATH(BLUETOOTH_INCLUDE_DIR bluetooth.h /usr/include/bluetooth/ /usr/local/include/bluetooth /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth)
+	FIND_LIBRARY(BLUETOOTH_LIBRARY NAMES bluetooth PATHS  /usr/lib/ /usr/lib/x86_64-linux-gnu /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/lib/x86_64-linux-gnu) 
         MESSAGE(STATUS "sewpertest 2 ${BLUETOOTH_LIBRARY}")
         MESSAGE(STATUS "sewpertest 3 ${BLUETOOTH_INCLUDE_DIR}")
Index: /code/branches/wiimote/src/external/wiicpp/wiic/io.h
===================================================================
--- /code/branches/wiimote/src/external/wiicpp/wiic/io.h	(revision 9811)
+++ /code/branches/wiimote/src/external/wiicpp/wiic/io.h	(revision 9812)
@@ -39,5 +39,6 @@
 
 #ifdef LINUX
-#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+#include "/usr/include/bluetooth/bluetooth.h"
 #endif
 
Index: /code/branches/wiimote/src/external/wiicpp/wiic/io_nix.c
===================================================================
--- /code/branches/wiimote/src/external/wiicpp/wiic/io_nix.c	(revision 9811)
+++ /code/branches/wiimote/src/external/wiicpp/wiic/io_nix.c	(revision 9812)
@@ -41,8 +41,12 @@
 #include <unistd.h>
 
-#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
-#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci.h"
-#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci_lib.h"
-#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/l2cap.h"
+//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci.h"
+//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci_lib.h"
+//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/l2cap.h"
+#include "/usr/include/bluetooth/bluetooth.h"
+#include "/usr/include/bluetooth/hci.h"
+#include "/usr/include/bluetooth/hci_lib.h"
+#include "/usr/include/bluetooth/l2cap.h"
 
 #include "definitions.h"
Index: /code/branches/wiimote/src/external/wiicpp/wiic/wiic.h
===================================================================
--- /code/branches/wiimote/src/external/wiicpp/wiic/wiic.h	(revision 9811)
+++ /code/branches/wiimote/src/external/wiicpp/wiic/wiic.h	(revision 9812)
@@ -48,5 +48,6 @@
 #else
 	/* nix */
-	#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+	//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+	#include "/usr/include/bluetooth/bluetooth.h"
 #endif
 
Index: /code/branches/wiimote/src/external/wiicpp/wiic/wiic_internal.h
===================================================================
--- /code/branches/wiimote/src/external/wiicpp/wiic/wiic_internal.h	(revision 9811)
+++ /code/branches/wiimote/src/external/wiicpp/wiic/wiic_internal.h	(revision 9812)
@@ -50,5 +50,6 @@
 #ifndef __APPLE__
 	#include <arpa/inet.h>				/* htons() */
-	#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+//	#include <bluetooth.h>
+	#include "/usr/include/bluetooth/bluetooth.h"
 #endif
 