Index: code/branches/spacestationentry/data/levels/dockingToASpaceStation.oxw
===================================================================
--- code/branches/spacestationentry/data/levels/dockingToASpaceStation.oxw	(revision 9789)
+++ code/branches/spacestationentry/data/levels/dockingToASpaceStation.oxw	(revision 9820)
@@ -32,5 +32,5 @@
 
   <Scene
-    ambientlight = "0.8, 0.8, 0.8"
+    ambientlight = "0.5, 0.5, 0.5"
     skybox       = "Orxonox/Starbox"
     negativeWorldRange = "-100000, -100000, -100000"
@@ -44,5 +44,5 @@
     ?>
 
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0,1.0,1.0,0.5" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="3200,0,0" lookat="2800,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
@@ -97,29 +97,4 @@
     </Dock>
 
-   <!-- Docking (Ausdocken)-->
-    <Dock position="100,-1950,100" roll=0 yaw=0 >
-        <animations>
-            <MoveToDockingTarget target="spaceShip" />
-        </animations>
-        <effects>
-            <DockToShip target="destroyer" />
-        </effects>
-        <events>
-            <execute>
-                <EventListener event="undockMe" />
-            </execute>
-	
-            <activity>
-                <EventListener event=notGameEnd />
-            </activity>
-        </events>
-        <attached>
-            <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
-            <DistanceTrigger position="0,0,0" distance="5" target="Pawn"
-                beaconMode="exclude" targetname="bcnDestroyer" name="undockMe"
-            />
-        </attached>
-
-    </Dock>
 
 	
@@ -154,9 +129,9 @@
   <StaticEntity position="0,-2000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
       <attached>
-        <Model position="0,0,0" mesh="crate.mesh" scale3D="22,22,5" />
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="66,15,5" />
         
       </attached>
       <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+        <BoxCollisionShape position="0,0,0" halfExtents="330,330,10" />
       </collisionShapes>
   </StaticEntity>
@@ -169,14 +144,7 @@
 <ForceField position="-2500,-92000,-2500" mode="sphere" diameter="184000" velocity="-5000" />
 
-<!-- Ausgang Trigger Falsch
-
-  <StaticEntity position="100,-1950,100" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
-      <attached>
-        <Model position="0,0,0" mesh="cube.mesh" scale3D="4,4,4" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="4,4,4" />
-      </collisionShapes>
-  </StaticEntity>
+<!-- Ausgang - Trigger -->
+
+<Billboard position="150,-1950,150" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
 
 <DistanceTrigger name="ausgang" position="100,-1950,100"  target="Pawn" distance=50 stayActive="false" delay=0 />
@@ -188,7 +156,7 @@
         </events>
     </Script>
--->
-
-
+
+
+<!-- Rest -->
 
     <!-- triple large belt around the planet  -->
Index: code/branches/spacestationentry/src/modules/docking/Dock.cc
===================================================================
--- code/branches/spacestationentry/src/modules/docking/Dock.cc	(revision 9789)
+++ code/branches/spacestationentry/src/modules/docking/Dock.cc	(revision 9820)
@@ -69,4 +69,5 @@
         XMLPortObject(Dock, DockingAnimation, "animations", addAnimation, getAnimation, xmlelement, mode);
         XMLPortEventSink(Dock, BaseObject, "execute", execute, xmlelement, mode);
+        //XMLPortEventSink(Dock, BaseObject, "undocking", undocking, xmlelement, mode);
 
     }
@@ -78,6 +79,16 @@
         XMLPortEventSink(Dock, BaseObject, "execute", execute, xmlelement, mode);
 
-   //     XMLPortEventSink(Dock, BaseObject, "execute2", execute2, xmlelement, mode);
-    }
+        //XMLPortEventSink(Dock, BaseObject, "undocking", undocking, xmlelement, mode);
+    }
+
+    /*
+    bool Dock::undocking(bool bTriggered, BaseObject* trigger)
+    {
+    	orxout(user_warning)<<"undocking"<<endl;
+
+    	return true;
+    }
+
+    */
 
     bool Dock::execute(bool bTriggered, BaseObject* trigger)
@@ -123,48 +134,5 @@
     }
 
-    /*bool Dock::execute2(bool bTriggered, BaseObject* trigger)
-        {
-    	orxout(user_warning)<<"execute2"<<endl;
-            PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-            PlayerInfo* player = NULL;
-
-            // Check whether it is a player trigger and extract pawn from it
-            if(pTrigger != NULL)
-            {
-                if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
-                    orxout(verbose, context::docking) << "Docking:execute PlayerTrigger was not triggered by a player.." << endl;
-                    return false;
-                }
-                player = pTrigger->getTriggeringPlayer();
-            }
-            else
-            {
-                orxout(verbose, context::docking) << "Docking::execute Not a player trigger, can't extract pawn from it.." << endl;
-                return false;
-            }
-            if(player == NULL)
-            {
-                orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
-                return false;
-            }
-
-            if(bTriggered)
-            {
-                // Add player to this Docks candidates
-                docked_.insert(player);
-
-                // Show docking dialog
-                this->showDockingDialogHelper(player);
-            }
-            else
-            {
-                // Remove player from candidates list
-                docked_.erase(player);
-            }
-
-            return true;
-        }
-
-*/
+
     void Dock::showDockingDialogHelper(PlayerInfo* player)
     {
Index: code/branches/spacestationentry/src/modules/docking/Dock.h
===================================================================
--- code/branches/spacestationentry/src/modules/docking/Dock.h	(revision 9789)
+++ code/branches/spacestationentry/src/modules/docking/Dock.h	(revision 9820)
@@ -62,5 +62,5 @@
             // Trigger interface
             bool execute(bool bTriggered, BaseObject* trigger);
-        //    bool execute2(bool bTriggered, BaseObject* trigger);
+            //bool undocking(bool bTriggered, BaseObject* trigger);
 
             // XML interface