Index: code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9809)
+++ code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9822)
@@ -540,5 +540,5 @@
 
 	<!-- DistanceTrigger for spion -->
-	<DistanceTrigger name="spionTrigger" position="0,-10000,42000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
+	<DistanceTrigger name="spionTrigger" position="15000,4000,19000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
 	<SimpleNotification message="spion is arrived!"  broadcast="true">
 		<events>
@@ -796,5 +796,5 @@
 
 <!-- Angreiffende Piraten: Guard 2 -->
-<SpaceShip position="19000,5000,21000" lookat="19000,4900,21000" name="secondPatrol" visible="true" radarname="Patrol">
+<SpaceShip position="19000,5000,18000" lookat="19000,4900,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
@@ -808,12 +808,12 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="18700,4300,21000" />
-        <Model mesh="cube.mesh" scale=0 position="18000,4000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17300,4300,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,5000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17300,5700,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18000,6000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18700,5700,21000" />
-        <Model mesh="cube.mesh" scale=0 position="19000,5000,21000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,4300,18000" />
+        <Model mesh="cube.mesh" scale=0 position="18000,4000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,4300,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17000,5000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,5700,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18000,6000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,5700,18000" />
+        <Model mesh="cube.mesh" scale=0 position="19000,5000,18000" />
       </waypoints>
       <events>
@@ -826,5 +826,5 @@
 </SpaceShip>
 
-<SpaceShip position="17000,5000,21000" lookat="17000,5100,21000" name="secondPatrol" visible="true" radarname="Patrol">
+<SpaceShip position="17000,5000,18000" lookat="17000,5100,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
@@ -838,12 +838,12 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="17300,5700,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18000,6000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18700,5700,21000" />
-        <Model mesh="cube.mesh" scale=0 position="19000,5000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18700,4300,21000" />
-        <Model mesh="cube.mesh" scale=0 position="18000,4000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17300,4300,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,5000,21000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,5700,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18000,6000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,5700,18000" />
+        <Model mesh="cube.mesh" scale=0 position="19000,5000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,4300,18000" />
+        <Model mesh="cube.mesh" scale=0 position="18000,4000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,4300,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17000,5000,18000" />
       </waypoints>
       <events>
@@ -856,5 +856,5 @@
 </SpaceShip>
 
-<SpaceShip position="18000,4000,21000" lookat="17000,4000,21000" name="secondPatrol" visible="true" radarname="Patrol">
+<SpaceShip position="18000,4000,18000" lookat="17000,4000,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
@@ -868,12 +868,12 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="17300,4300,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,5000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17300,5700,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18000,6000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18700,5700,21000" />
-        <Model mesh="cube.mesh" scale=0 position="19000,5000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18700,4300,21000" />
-        <Model mesh="cube.mesh" scale=0 position="18000,4000,21000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,4300,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17000,5000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,5700,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18000,6000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,5700,18000" />
+        <Model mesh="cube.mesh" scale=0 position="19000,5000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,4300,18000" />
+        <Model mesh="cube.mesh" scale=0 position="18000,4000,18000" />
       </waypoints>
       <events>
@@ -886,5 +886,5 @@
 </SpaceShip>
 
-<SpaceShip position="18000,6000,21000" lookat="19000,6000,21000" name="secondPatrol" visible="true" radarname="Patrol">
+<SpaceShip position="18000,6000,18000" lookat="19000,6000,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
     <visibility>
@@ -898,12 +898,12 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=0 position="18700,5700,21000" />
-        <Model mesh="cube.mesh" scale=0 position="19000,5000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18700,4300,21000" />
-        <Model mesh="cube.mesh" scale=0 position="18000,4000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17300,4300,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17000,5000,21000" />
-	<Model mesh="cube.mesh" scale=0 position="17300,5700,21000" />
-	<Model mesh="cube.mesh" scale=0 position="18000,6000,21000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,5700,18000" />
+        <Model mesh="cube.mesh" scale=0 position="19000,5000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18700,4300,18000" />
+        <Model mesh="cube.mesh" scale=0 position="18000,4000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,4300,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17000,5000,18000" />
+	<Model mesh="cube.mesh" scale=0 position="17300,5700,18000" />
+	<Model mesh="cube.mesh" scale=0 position="18000,6000,18000" />
       </waypoints>
       <events>
@@ -917,5 +917,5 @@
 
 <!-- Escape-Ship (Spion) -->
-<SpaceShip position="17000,4000,22000" lookat="-12000, -22000, 25000" name="spion" visible="true" radarname="Spion" >
+<SpaceShip position="17000,4000,19000" lookat="-12000, -22000, 25000" name="spion" visible="true" radarname="Spion" >
   <events>
     <visibility>
@@ -929,5 +929,5 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=0 position="0,-10000,42000" /> <!-- "-7000,-10000,42000" -->
+        <Model mesh="cube.mesh" scale=0 position="15000,4000,19000" /> <!-- "-7000,-10000,42000" -->
         <Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />
       </waypoints>
@@ -1139,5 +1139,10 @@
 	<!-- Asteroids -->
 
-	<Model position="9800, -5000, 5700" yaw="90" pitch="-90" roll="0" scale="300" mesh="asteroid_ice.mesh" />
+	<Model 	position="9800, -5000, 5700" 
+		yaw="90" 
+		pitch="-90" 
+		roll="0" 
+		scale="300" 
+		mesh="asteroid_ice.mesh" />
 
 	<!-- triple large belt around the planet  -->
@@ -1199,5 +1204,11 @@
 			rotationrate="0.5" 
 			atmospheresize=224.0f 
-			imagesize=1024.0f />
+			imagesize=1024.0f
+			mass="10000000"
+			angularDamping=0
+			collisiondamage=2
+			enablecollisiondamage=true
+			collisionType="dynamic" />
+
 
 	<BlinkingBillboard position="-7000,-10000,42000" color="1,1,1" frequency=0.6 amplitude=100 material="Examples/Flare" >
@@ -1219,5 +1230,22 @@
 
 	<!-- first guard -->
-	<StaticEntity position="9000,0,0" yaw=112 pitch=67>
+    <Pawn team=1 health=50000 position="9000,0,0" direction="0,-1,0" yaw=112 pitch=67 collisionType=dynamic mass=100000 name=station1 radarname="Guard 1" >
+        <events>
+          <visibility>
+            <EventListener event=spawntrigger2 />
+          </visibility>
+        </events>
+        <attached>
+            	<?lua
+			createSpaceStationPar(0,2,1,2,1,4,1,50)
+		?>
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+        </collisionShapes>
+    </Pawn>
+
+	<!-- second guard -->
+	<StaticEntity position="18000,5000,18000" yaw=12 pitch=75>
 		<attached>
 			<?lua
@@ -1227,22 +1255,23 @@
 	</StaticEntity>
 
-	<!-- second guard -->
-	<StaticEntity position="18000,5000,21000" yaw=12 pitch=75>
-		<attached>
-			<?lua
-				createSpaceStationPar(0,2,1,2,1,4,1,50)
-			?>
-		</attached>
-	</StaticEntity>
-
 <!-- ------------------------- Mainship ------------------ -->
-
-	<StaticEntity position="-12000, -22000, 25000" yaw=112 pitch=67>
-		<attached>
-			<?lua
-				createSpaceStationPar(0,2,1,2,1,4,1,50)
-			?>
-		</attached>
-	</StaticEntity>
+    <Pawn team=1 health=50000 position="13500, 2500, 13000" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Mainship" yaw=112 pitch=67>
+        <events>
+          <visibility>
+            <EventListener event=spawntrigger2 />
+          </visibility>
+        </events>
+        <attached>
+            	<?lua
+			createSpaceStationPar(0,2,1,2,1,4,1,50)
+		?>
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+        </collisionShapes>
+    </Pawn>
+
+
+<!-- "-12000, -22000, 25000" -->
 
 