Index: /code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9825)
+++ /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9826)
@@ -6,4 +6,5 @@
 - visibility of light only for a little time
 - If possible, do the spion with DistanceTriggerBeacon
+- More health for spacestations
 -->
 <LevelInfo
@@ -65,5 +66,5 @@
 
 <!-- Spawntrigger -->    
-<!--	<SpawnPoint team=0 position="0, 0, 0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage --
+	<SpawnPoint team=0 position="0, 0, 0" lookat="100,0,0" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage -->
           <events>
             <activity>
@@ -80,7 +81,7 @@
           </events>
 	</EventTrigger>
--->
-
-	<SpawnPoint team=0 position="13500, 2500, 11000" lookat="18000,5000,21000" spawnclass=SpaceShip pawndesign=spaceshipswallow delay=0.1><!-- pawndesign=spaceshipcollateraldamage --
+
+
+	<SpawnPoint team=0 position="-10000, -22000, 25000" lookat="18000,5000,21000" spawnclass=SpaceShip pawndesign=spaceshipswallow delay=0.1><!-- pawndesign=spaceshipcollateraldamage -->
 	  <events>
             <activity>
@@ -90,8 +91,8 @@
         </SpawnPoint>
 
-<!-- ZUM TESTEN -->
-	<DistanceTrigger name=spawntrigger2 position="13500, 2500, 11000" target="SpaceShip" distance=10 stayActive="true" delay=0 />
-	<DistanceTrigger name="flying1" position="13500, 2500, 11000" target="SpaceShip" distance=10 stayActive="true" delay=0 />
-
+<!-- ZUM TESTEN ("-12000, -22000, 25000") 13500, 2500, 11000--
+	<DistanceTrigger name=spawntrigger2 position="-10000, -22000, 25000" target="SpaceShip" distance=10 stayActive="true" delay=0 />
+	<DistanceTrigger name="flying1" position="-10000, -22000, 25000" target="SpaceShip" distance=10 stayActive="true" delay=0 />
+-->
 	<!-- Distance-Spawn-Trigger -->
 	<DistanceTrigger name=spawntrigger2 position="0, 0, 0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
@@ -100,5 +101,5 @@
 	<PickupSpawner pickup=dronepickup position="9750, -5350, 5650" triggerDistance="20" respawnTime="30" maxSpawnedItems="2" />
 
-<!-- QUEST DESCRIPTION-->
+<!-- QUEST DESCRIPTION --
 	<LocalQuest id="spacefight.guard1">
 		<QuestDescription 
@@ -147,6 +148,6 @@
 	</LocalQuest>
 
-<!-- 2 different possibilitys -->
-	<!-- Spion is destroyed -->
+<!-- 2 different possibilitys --
+	<!-- Spion is destroyed --
 	<LocalQuest id="spacefight.mainfight(min)" >
 		<QuestDescription
@@ -164,9 +165,9 @@
 			<!--
 			<BlinkingBillboard position="-12100, -22000, 25000" color="1.0,1.0,1.0" frequency=0.6 amplitude=2 material="Examples/Flare" visibility="true" />
-			-->
+			--
 		</complete-effects>
 	</LocalQuest>
 
-	<!-- Spion isn't destroyed -->
+	<!-- Spion isn't destroyed --
 	<LocalQuest id="spacefight.mainfight(max)" >
 		<QuestDescription
@@ -184,8 +185,8 @@
 			<!--
 			<BlinkingBillboard position="-12100, -22000, 25000" color="1.0,1.0,1.0" frequency=0.6 amplitude=2 material="Examples/Flare" visibility="true" />
-			-->
+			--
 		</complete-effects>
 	</LocalQuest>
-<!-- -->
+<!-- --
 
 	<LocalQuest id="spacefight.rescue" >
@@ -210,5 +211,5 @@
 	<!-- GRAND EXPLOSION IF POSSIBLE -->
 	<!-- Next Part -->
-
+-->
 	
 <!-- ---------------------------------------------------------------------- -->
@@ -451,4 +452,11 @@
 		</EventTrigger>
 	</DistanceTrigger>
+	<SimpleNotification message="flying1"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="flying1" />
+			</trigger>
+		</events>
+	</SimpleNotification>	
 
 	<!-- Trigger to activate the upgrade1-Quest -->
@@ -460,5 +468,6 @@
 			</trigger>
 		</events>
-	</SimpleNotification>	
+	</SimpleNotification>
+			
 
 	<!-- Helper-Trigger for the drone(s) -->
@@ -473,22 +482,4 @@
 
 	<!-- Helper-Trigger for second guard -->
-	<DistanceTrigger name="flying22" position="18000, 5000, 21000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1>
-		<EventTrigger>
-			<events>
-				<trigger>
-					<EventListener event="flying2" />
-				</trigger>
-			</events>
-		</EventTrigger>
-	</DistanceTrigger>
-
-	<SimpleNotification message="flying2.2"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="flying22" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
 	<DistanceTrigger name="flying2" position="18000, 5000, 21000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
 		<EventTrigger>
@@ -519,4 +510,23 @@
 		</EventTrigger>
 	</DistanceTrigger>
+	<SimpleNotification message="escape10"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="escape10" />
+			</trigger>
+		</events>
+	</SimpleNotification>	
+
+
+
+	<!-- DistanceTrigger for spion -->
+	<DistanceTrigger name="spionTrigger" position="15000,4000,19000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
+	<SimpleNotification message="spion is arrived!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="spionTrigger" />
+			</trigger>
+		</events>
+	</SimpleNotification>	
 
 	<!-- Helper-Trigger for mainship -->
@@ -526,23 +536,4 @@
 			<trigger>
 				<EventListener event="flying3" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<!-- <DistanceTrigger name="drone2" position="9750, -5350, 5650" target="SpaceShip" distance=20 stay Active="true" delay=0.1 /> -->
-	<SimpleNotification message="Now your are prepared best!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="drone2" />
-			</trigger>
-		</events>
-	</SimpleNotification>
-
-	<!-- DistanceTrigger for spion -->
-	<DistanceTrigger name="spionTrigger" position="15000,4000,19000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
-	<SimpleNotification message="spion is arrived!"  broadcast="true">
-		<events>
-			<trigger>
-				<EventListener event="spionTrigger" />
 			</trigger>
 		</events>
@@ -799,5 +790,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
+      <EventListener event="guard1trigger4" /> <!-- guard1trigger4 -->
     </visibility>
   </events>
@@ -829,5 +820,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
+      <EventListener event="guard1trigger4" /> <!-- guard1trigger4 -->
     </visibility>
   </events>
@@ -859,5 +850,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
+      <EventListener event="guard1trigger4" /> <!-- guard1trigger4 -->
     </visibility>
   </events>
@@ -889,5 +880,5 @@
   <events>
     <visibility>
-      <EventListener event=spawntrigger2 /> <!-- guard1trigger4 -->
+      <EventListener event="guard1trigger4" /> <!-- guard1trigger4 -->
     </visibility>
   </events>
@@ -951,5 +942,5 @@
   <events>
     <visibility>
-      <EventListener event="guard2trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
     </visibility>
   </events>
@@ -971,5 +962,5 @@
       <events>
 	<activity>
-	  <EventListener event="guard2trigger4" />
+	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
 	</activity>
       </events>
@@ -981,5 +972,5 @@
   <events>
     <visibility>
-      <EventListener event="guard2trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
     </visibility>
   </events>
@@ -1001,5 +992,5 @@
       <events>
 	<activity>
-	  <EventListener event="guard2trigger4" />
+	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
 	</activity>
       </events>
@@ -1011,5 +1002,5 @@
   <events>
     <visibility>
-      <EventListener event="guard2trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
     </visibility>
   </events>
@@ -1031,5 +1022,5 @@
       <events>
 	<activity>
-	  <EventListener event="guard2trigger4" />
+	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
 	</activity>
       </events>
@@ -1041,5 +1032,5 @@
   <events>
     <visibility>
-      <EventListener event="guard2trigger4" />
+      <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
     </visibility>
   </events>
@@ -1061,5 +1052,5 @@
       <events>
 	<activity>
-	  <EventListener event="guard2trigger4" />
+	  <EventListener event=spawntrigger2 /> <!-- "guard2trigger4" -->
 	</activity>
       </events>
@@ -1072,5 +1063,5 @@
   <events>
     <visibility>
-      <EventListener event="escaped" />
+      <EventListener event=spawntrigger2 /> <!-- escaped -->
     </visibility>
   </events>
@@ -1092,5 +1083,5 @@
       <events>
 	<activity>
-	  <EventListener event="escaped" />
+	  <EventListener event=spawntrigger2 /> <!-- escaped -->
 	</activity>
       </events>
@@ -1102,5 +1093,5 @@
   <events>
     <visibility>
-      <EventListener event="escaped" />
+      <EventListener event=spawntrigger2 /> <!-- escaped -->
     </visibility>
   </events>
@@ -1122,5 +1113,5 @@
       <events>
 	<activity>
-	  <EventListener event="escaped" />
+	  <EventListener event=spawntrigger2 /> <!-- escaped -->
 	</activity>
       </events>
@@ -1230,5 +1221,23 @@
 
 	<!-- first guard -->
-    <Pawn team=1 health=50000 position="9000,0,0" direction="0,-1,0" yaw=112 pitch=67 collisionType=dynamic mass=100000 name=station1 radarname="Guard 1" >
+	<StaticEntity position="9000,0,0" collisionType=static yaw=112 pitch=67 >
+	  <attached>
+	    <?lua
+	      createSpaceStationPar(0,2,1,2,1,4,1,50)
+	    ?>
+	  </attached>
+	</StaticEntity>
+
+	<!-- second guard -->
+	<StaticEntity position="18000,5000,18000" collisionType=static yaw=12 pitch=75 >
+	  <attached>
+	    <?lua
+	      createSpaceStationPar(0,2,1,2,1,4,1,50)
+	    ?>
+	  </attached>
+	</StaticEntity>
+
+<!-- ------------------------- Mainship ------------------ -->
+    <Pawn team=1 health=50000 position="-12000, -22000, 25000" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Mainship" yaw=112 pitch=67>
         <events>
           <visibility>
@@ -1246,30 +1255,4 @@
     </Pawn>
 
-	<!-- second guard -->
-	<StaticEntity position="18000,5000,18000" yaw=12 pitch=75>
-		<attached>
-			<?lua
-				createSpaceStationPar(0,2,1,2,1,4,1,50)
-			?>
-		</attached>
-	</StaticEntity>
-
-<!-- ------------------------- Mainship ------------------ -->
-    <Pawn team=1 health=50000 position="13500, 2500, 13000" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Mainship" yaw=112 pitch=67>
-        <events>
-          <visibility>
-            <EventListener event=spawntrigger2 />
-          </visibility>
-        </events>
-        <attached>
-            	<?lua
-			createSpaceStationPar(0,2,1,2,1,4,1,50)
-		?>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
-        </collisionShapes>
-    </Pawn>
-
 
 <!-- "-12000, -22000, 25000" -->